# UARK OmniUpdate Templates

This project builds the global base templates for uark.edu and subdomains managed in OUCampus.

The current production state and example/documentation pages can always be found at https://omniupdate.git-pages.uark.edu/uark-templates/.

Works-in-progress can be viewed at [Operations > Environments > review](https://git.uark.edu/omniupdate/uark-templates/environments/folders/review).

**Note**: We use the word 'templates' to mean several different things, depending on context:
- Coupled CSS/Sass files and HTML structure that work together to create a branded look and feel that is consistent across web properties
- OmniUpdate TCF and TMPL files that generate XML data files internal to OU
- OmniUpdate XSL stylesheets that transform XML into HTML, JSON or other formats

## Documentation
Documentation is split into two categories:
1. **How to make changes** documentation is [on the Wiki](https://git.uark.edu/omniupdate/uark-templates/wikis/home). 
1. **Project output** aims to be self documenting. For example, the [OU Variables](https://omniupdate.git-pages.uark.edu/uark-templates/ou/directory-variables.html) page describes all variables that are available when editing XSL. Other pages describe how to use custom snippets and template features.

If you see something missing, or just have a question about the project, [Create an Issue](https://git.uark.edu/omniupdate/uark-templates/issues/new).

## Contributing
This is a group effort and your help is needed, whether you can collaborate on the code itself or just participate in discussions. **We want your input**!

1. Everything starts with [Creating an Issue](https://git.uark.edu/omniupdate/uark-templates/issues/new). Issues let us track requests, suggestions, bugs and discussion topics.
1. To contribute to the code base, there are three options:
    - For quick, simple contributions, click <kbd>Web IDE</kbd> at the top of any file or directory list, no software required.
    - **Windows and low-power computers** (Coming Soon) Connect to the [Remote Development](https://git.uark.edu/omniupdate/uark-templates/wikis/Remote-Development-Access) environment. All the tools you need are already installed, including Git, multiple browsers and selected code editors.
    - **Mac and Linux** Follow the [Local Development](https://git.uark.edu/omniupdate/uark-templates/wikis/Local-Development-Setup) instructions to set up a development server on your laptop or desktop.
1. The [Workflow Examples](https://git.uark.edu/omniupdate/uark-templates/wikis/Workflow-Examples) page will walk you through two methods of grabbing an issue, creating a merge request and getting your changes approved for production use.

### New to Git?
Look through the [recommended tutorials](https://git.uark.edu/omniupdate/uark-templates/wikis/home#git-tutorials)

### Did You Make a Mistake?
*_[Don't Panic!](https://git.uark.edu/omniupdate/uark-templates/wikis/home#did-you-make-a-mistake)_*

### Code Conventions and Guidelines
See [the Wiki](https://git.uark.edu/omniupdate/uark-templates/wikis/Code-Style).
