#!/bin/bash
trap '
  trap - INT # restore default INT handler
  kill -s INT "$$"
' INT
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )/.." >/dev/null 2>&1 && pwd )"
echo "DIR = $DIR"


if [[ `which python` = "" ]]; then
    echo "python is not available, using docker"
    exec docker run --rm -v "${DIR}":/data python:2-slim /data/sh/lint-xml.sh
 fi


FILES=`find "$DIR/src/xsl" "$DIR/src/templates" -name *.xsl -o -name *.xml -o -name *.tmpl`
IFS=$'\n'
for filename in $FILES; do
    dockerfilename=$(echo "$filename" | sed "s^$DIR^/data^")
    echo "$filename: $dockerfilename"

    cp "$filename" "$filename.orig"

     python $DIR/sh/lint-xml.py \
    < "$filename.orig" > "$filename.new" && \
    mv "$filename.new" "$filename"

    rm "$filename.orig"


done
