<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE stylesheet [
<!ENTITY nbsp   "&#160;">
<!ENTITY copy   "&#169;">
]>
<xsl:stylesheet exclude-result-prefixes="ou xsl xs fn ouc uark util" expand-text="yes" version="3.0"
    xmlns:fn="http://omniupdate.com/XSL/Functions"
    xmlns:ou="http://omniupdate.com/XSL/Variables"
    xmlns:ouc="http://omniupdate.com/XSL/Variables"
    xmlns:uark="http://uark.edu/omniupdate/Variables"
    xmlns:util="http://uark.edu/omniupdate/Utilities"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template name="common-layout">
    <xsl:choose>
      <xsl:when test="ou:layout-param('fullWidth') = 'true'">
        <xsl:call-template name="common-fullWidth"/>
      </xsl:when>
      <xsl:otherwise>
        <!-- not full width -->
        <xsl:call-template name="common-notFullWidth"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template name="common-fullWidth">
    <xsl:if test="ou:layout-param('showBreadcrumbs') = 'true'">
      <xsl:choose>
        <xsl:when test="ou:layout-param('showLeftNav') = 'true'">
          <div class="container-fluid">
            <div class="row">
              <nav class="col-md-3">
                <xsl:call-template name="common-leftnav"/>
              </nav>
              <div class="col">
                <xsl:call-template name="common-columns"/>
              </div>
            </div>
          </div>
        </xsl:when>
        <xsl:otherwise>
          <!-- no left nav -->
          <div class="container-fluid">
            <xsl:call-template name="common-columns"/>
          </div>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:if>
  </xsl:template>

  <xsl:template name="common-notFullWidth">
    <div class="container">
      <xsl:choose>
        <xsl:when test="ou:layout-param('showLeftNav') = 'true'">
          <div class="row">
            <nav class="col-md-3">
              <xsl:call-template name="common-leftnav"/>
            </nav>
            <div class="col">
              <xsl:call-template name="common-columns"/>
            </div>
          </div>
        </xsl:when>
        <xsl:otherwise>
          <!-- no left nav -->
          <xsl:call-template name="common-columns"/>
        </xsl:otherwise>
      </xsl:choose>
    </div>
  </xsl:template>

  <xsl:template name="common-columns">
    <div class="row" id="main-content">
      <xsl:if test="ou:layout-param('hideTitle') != 'true'">
        <h1 class="col-12">
          {$page-title}
        </h1>
      </xsl:if>
      <xsl:call-template name="breadcrumbs"/>
      <div class="col-12">
        <xsl:call-template name="util:cicd-banner"/>
      </div>
      <main class="col">
        <xsl:apply-templates select="maincontent"/>
      </main>
      <xsl:if test="ou:layout-param('columns') != 'single'">
        <section class="col-md-{ou:layout-param('columns')}">
          <xsl:apply-templates select="secondarycontent"/>
        </section>
      </xsl:if>
    </div>
  </xsl:template>

</xsl:stylesheet>
